com.independentsoft.exchange

## Class Exists

- java.lang.Object
- - com.independentsoft.exchange.Restriction
  - - com.independentsoft.exchange.Exists

-     public class Exists
      extends Restriction

  Represents a search expression that returns true if the supplied property exists on an item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exists()` Initializes a new instance of the Exists class.
    `Exists(PropertyPath propertyPath)` Initializes a new instance of the Exists class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyPath` | `getPropertyPath()` Gets frequently referenced properties by URI, individual members of a dictionary or MAPI properties.
    `void` | `setPropertyPath(PropertyPath propertyPath)` Sets frequently referenced properties by URI, individual members of a dictionary or MAPI properties.
    `java.lang.String` | `toString()` Gets the value of the current Exists object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Exists

          public Exists()

      Initializes a new instance of the Exists class.

    - #### Exists

          public Exists(PropertyPath propertyPath)

      Initializes a new instance of the Exists class.
      Parameters:
        `propertyPath` - the property path

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Gets the value of the current Exists object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public PropertyPath getPropertyPath()

      Gets frequently referenced properties by URI, individual members of a dictionary or MAPI properties.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(PropertyPath propertyPath)

      Sets frequently referenced properties by URI, individual members of a dictionary or MAPI properties.
      Parameters:
        `propertyPath` - the new property path